# class Chef::ChefFS::FileSystem::BaseFSDir

### Public Class Methods

new(name, parent) click to toggle source
Calls superclass method

    # File lib/chef/chef_fs/file_system/base_fs_dir.rb, line 26
    def initialize(name, parent)
      super
    end

### Public Instance Methods

can_have_child?(name, is_dir) click to toggle source

    # File lib/chef/chef_fs/file_system/base_fs_dir.rb, line 39
    def can_have_child?(name, is_dir)
      true
    end

child(name) click to toggle source

Override child(name) to provide a child object by name without the network read

    # File lib/chef/chef_fs/file_system/base_fs_dir.rb, line 35
    def child(name)
      children.select { |child| child.name == name }.first || NonexistentFSObject.new(name, self)
    end

dir?() click to toggle source

    # File lib/chef/chef_fs/file_system/base_fs_dir.rb, line 30
    def dir?
      true
    end